# Update table

Updates a table.

Endpoint: POST /table/update/{database_name}/{table_name}
Version: 3
Security: ApiKeyAuth

## Path parameters:

  - `database_name` (string, required)
    database name
    Example: "Alpha"

  - `table_name` (string, required)
    Example: "Bravo"

## Request fields (application/x-www-form-urlencoded):

  - `detect_schema` (boolean)
    Example: true

  - `expire_days` (integer,null)
    Example: 30

  - `name` (string)
    Example: "Bravo"

  - `description` (string,null)
    user-provided description of the table
    Example: "Click events."

  - `schema` (any)

  - `ignore_duplicate_schema` (boolean)
    Example: true

  - `overwrite` (boolean)
    whether to override a possible existing table in case of updating the name

  - `include_v` (boolean)
    when true, Hive queries can access a virtual column "v" which contains a map of every data column's name to its value (represented as a string). Prefer to set a schema on the table instead of using "v".

## Response 200 fields (application/json):

  - `database` (string, required)
    database name
    Example: "Alpha"

  - `table` (string, required)
    Example: "Bravo"

  - `type` (string, required)
    Enum: "log"


